<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.mail.mail-session.custom">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="credential-reference,outbound-socket-binding-ref,password,properties,ssl,tls,username"/>
        <elem name="addr-params" value="profile,subsystem,mail-session,custom"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.mail"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.mail.session.server.$mail-session.$custom"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.credential-store.$credential-reference" optional="true"/>
        <capability name="org.wildfly.network.outbound-socket-binding.$outbound-socket-binding-ref" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.mail.mail-session"/>
        <ref feature="subsystem.mail"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="outbound-socket-binding-ref" nillable="true"/>
        <param name="password" nillable="true"/>
        <param name="custom" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="mail"/>
        <param name="tls" nillable="true"/>
        <param name="credential-reference" nillable="true"/>
        <param name="ssl" nillable="true"/>
        <param name="mail-session" feature-id="true"/>
        <param name="properties" nillable="true"/>
        <param name="username" nillable="true"/>
    </params>
</feature-spec>